Description

chatting on irc, chad jing and i think we should disable DIGIR in the Services List panel by default, since it's still severely slowing
down search.

Related issues:

Blocked by Kepler - Bug #3245: Release 1.0 installer tracking bug Resolved 04/29/2008
Blocked by Kepler - Bug #3271: Random Errors with data authentication system Resolved 05/02/2008
History

#1 - 05/02/2008 02:48 PM - ben leinfelder

this may not as straightforward as you might think since the services are retrieved from the registry every time kepler starts. the default behavior right
now is that any new or updated services are set to be selected. perhaps we can "respect” the checked status with minimal changes...

#2 - 05/02/2008 03:01 PM - Chad Berkley

There seem to be some major issues with the threading in this functionality. The check box for digir is getting reset randomly and even when it is
unchecked, it is not clear that it is not still searching digir. We've been seeing extremely random errors and behavior, mostly on OSX, but also on
linux. It's hard to reproduce any one error so we're thinking this is probably threading issues.

#3 - 05/02/2008 03:10 PM - Jing Tao

Chad, i think we can reproduce the reset selection issue (at least in ubuntu).

1. Diselect digir in source window and click ok.

2. Search something. When authentication dialog shows up, click anonymous login.
3. Search will take for ever since search will go to digir.

4. Click cancel search button.

5. Click source button, you will see everything is selected again (including digir)

#4 - 05/02/2008 03:16 PM - ben leinfelder

keep in mind that there is a 30 second delay after kepler starts up at which point the service list is automatically refreshed (with all services found
marked as selected). if you open kepler and search fast, you may find that you start your search before the list is refreshed.

Locally, I've got my kepler preserving the selection status of the services (so the refresh does not selected them all). | can commit this to address this
bug, and also ship the config.xml with the DIGIR source deselected by default.

#5 - 05/02/2008 03:17 PM - ben leinfelder

also, | don't know that there is a benefit for waiting 30 seconds before executing the services list refresh thread. we can certainly launch this thread
on start up (in the config.xml file)

#6 - 05/02/2008 04:04 PM - Derik Barseghian

ben - awhile ago i had things such that when you clicked on the data tab it would then invoke the update, graying out the search button and showing a
progress bar until complete.

One idea: if there's no reason to wait 30s - can we start the thread immediately on Kepler launch, but also gray out all buttons on the Data tab and
show the progress bar until the thread completes? That would keep the user from having their Service List selections altered on them if they beat the
thread to the panel.

#7 - 05/04/2008 10:38 AM - ben leinfelder

i've committed changes to the release branch that allow the selection status of the services to be preserved when they are refreshed from the registry.
i've also set the DiGIR and AuthenticatedQueryServices to be unchecked by default in the config.xml file.

in order for users to search these sources, they will need to explicitly select them in the sources dialog. this forces people to "know" what they are
doing and should minimize unexpected long-running searches from being performed.
i've also changed the services refresh delay to be 1 second after kepler initially starts up. this should make it nearly impossible for users to submit a
search before the services are refreshed (and since the selection status won't be flipped back on for digir, i believe we won't be having "random" digir
searches now).

#8 - 05/07/2008 03:40 PM - ben leinfelder

works on OSX and ubuntu (v3 installer)

#9 - 05/09/2008 11:07 AM - Jing Tao

works in mac v4 installer.

#10 - 03/27/2013 02:22 PM - Redmine Admin
Original Bugzilla ID was 3270
